""" Script for calculating maximum inundation at building locations

    Inputs:

    swwfile             - name of sww file
                        - assume that all conserved quantities have been stored
                    
    buildings_filename  - name of file containing building data, sourced
                          from NBED

    Output:
    
    - building_filename (.csv) augmented to include maximum depth, momentum and
      velocity and stored in same location as swwfile
      Name = augmented_buildings.csv
      
    """

from os import sep

from anuga.damage_modelling.inundation_damage import add_depth_and_momentum2csv, inundation_damage
import project
import csv

directory = project.output_dir

time_dir1 = '20081031_133353_run_final_0.6_68693_alpha0.1_kvanputt'
time_dir2 = '20081031_133511_run_final_0_68693_alpha0.1_kvanputt'
time_dir3 = '20081031_133624_run_final_0_27255_alpha0.1_kvanputt'
time_dir4 = '20081031_133735_run_final_0.6_27255_alpha0.1_kvanputt'
time_dir5 = '20081031_133841_run_final_0_27283_alpha0.1_kvanputt'
time_dir6 = '20081031_133925_run_final_0.6_27283_alpha0.1_kvanputt'

time_dirs = [time_dir1, time_dir2, time_dir3, time_dir4, time_dir5, time_dir6]

buildings = project.building_in_dir_name

for time_dir in time_dirs:
    building_marker = '_modified'
    name = directory+time_dir+sep+project.scenario_name #basename for the sww files 
    
    inundation_damage(name, buildings, building_marker)
    #add_depth_and_momentum2csv(name, buildings, building_marker)
    
    building_marker_dir_name = project.gauges_dir + project.building + building_marker + '.csv'
    out_file = directory+time_dir+ sep+'perth_res.csv'
    print 'out file %s' %out_file
    print 'building_marker_dir_name %s' %building_marker_dir_name
    csv_fd = open(building_marker_dir_name, 'r')
    output_file = open(out_file, 'w')

    reader = csv.reader(csv_fd)
    writer = csv.writer(output_file, lineterminator='\n')

    for record in reader:
       newline = record[-8:]
       newline.insert(0,record[0])
       newline.insert(1,record[1])
       newline.insert(2,record[2])
       writer.writerow(newline)
       
    print 'output file printed to: %s' %out_file
    csv_fd.close()
    output_file.close()
     

    
